Images To Slideshow Ken Burns
Snapshot Catalog Entry
This page is generated from broker tools/list snapshot data.
Execute ffmpeg.images_to_slideshow_ken_burns through the broker.
Request Body
{
"jsonrpc": "2.0",
"id": "ffmpeg-images-to-slideshow-ken-burns-example",
"method": "tools/call",
"params": {
"name": "ffmpeg.images_to_slideshow_ken_burns",
"arguments": {
"asset_ids": [],
"duration_per_image": "",
"durations": "",
"width": "",
"height": "",
"fps": "",
"background_color": "",
"priority": ""
}
}
}
Arguments Schema
{
"properties": {
"asset_ids": {
"items": {
"type": "string"
},
"type": "array"
},
"duration_per_image": {
"anyOf": [
{
"type": "number"
},
{
"type": "null"
}
]
},
"durations": {
"anyOf": [
{
"items": {
"type": "number"
},
"type": "array"
},
{
"type": "null"
}
]
},
"width": {
"anyOf": [
{
"type": "integer"
},
{
"type": "null"
}
]
},
"height": {
"anyOf": [
{
"type": "integer"
},
{
"type": "null"
}
]
},
"fps": {
"anyOf": [
{
"type": "integer"
},
{
"type": "null"
}
]
},
"background_color": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"priority": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
}
},
"required": [
"asset_ids"
],
"type": "object"
}
Code Examples
- cURL
- Node.js
- Python
curl -X POST 'https://madpanda3d.com/lab/mad-mcps/portal/api/mcp' \
-H 'Authorization: Bearer mad_live_***' \
-H 'Content-Type: application/json' \
-d '{
"jsonrpc": "2.0",
"id": "ffmpeg-images-to-slideshow-ken-burns-example",
"method": "tools/call",
"params": {
"name": "ffmpeg.images_to_slideshow_ken_burns",
"arguments": {
"asset_ids": [],
"duration_per_image": "",
"durations": "",
"width": "",
"height": "",
"fps": "",
"background_color": "",
"priority": ""
}
}
}'
const response = await fetch('https://madpanda3d.com/lab/mad-mcps/portal/api/mcp', {
method: 'POST',
headers: {
Authorization: 'Bearer mad_live_***',
'Content-Type': 'application/json',
},
body: JSON.stringify({
"jsonrpc": "2.0",
"id": "ffmpeg-images-to-slideshow-ken-burns-example",
"method": "tools/call",
"params": {
"name": "ffmpeg.images_to_slideshow_ken_burns",
"arguments": {
"asset_ids": [],
"duration_per_image": "",
"durations": "",
"width": "",
"height": "",
"fps": "",
"background_color": "",
"priority": ""
}
}
}),
});
const data = await response.json();
console.log(data);
import requests
url = 'https://madpanda3d.com/lab/mad-mcps/portal/api/mcp'
headers = {
'Authorization': 'Bearer mad_live_***',
'Content-Type': 'application/json',
}
payload = {
"jsonrpc": "2.0",
"id": "ffmpeg-images-to-slideshow-ken-burns-example",
"method": "tools/call",
"params": {
"name": "ffmpeg.images_to_slideshow_ken_burns",
"arguments": {
"asset_ids": [],
"duration_per_image": "",
"durations": "",
"width": "",
"height": "",
"fps": "",
"background_color": "",
"priority": ""
}
}
}
response = requests.post(url, headers=headers, json=payload, timeout=60)
print(response.json())
Example Responses
- 200 Success
- 502 Upstream Error
{
"ok": true,
"message": "Tool ffmpeg.images_to_slideshow_ken_burns executed successfully.",
"note": "Response shape varies by MCP tool. Inspect live responses for exact fields."
}
{
"ok": false,
"classification": "upstream_http_error",
"message": "Upstream MCP returned a non-success status."
}